PMDAROOMTEMP(1)

NAME
pmdaroomtemp - room temperature performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/roomtemp/pmdaroomtemp [-d domain] [-l logfile]

DESCRIPTION
pmdaroomtemp is a Performance Metrics Domain Agent (PMDA) which exports the temperature from one or more sensors built using the DS2480 and DS1280 chipsets and MicroLAN technology from Dallas Semiconductor Corporation.

The roomtemp PMDA exports metrics that reflect the temperatures from one or more of these devices, in both degrees Celcius and Fahrenheit. Each metric has one instance for each temperature sensor device. The external instance identifiers are the serial numbers (in hex) of the DS1280 chips discovered when the MicroLAN was probed.

A brief description of the pmdaroomtemp command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named roomtemp.log is written in the current directory of pmcd(1) when pmdaroomtemp is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

INSTALLATION
If you want access to the names, help text and values for the roomtemp performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/roomtemp
# ./Install

If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/roomtemp
# ./Remove

pmdaroomtemp is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdaroomtemp
$PCP_PMDAS_DIR/roomtemp/help
    default help text file for the roomtemp metrics
$PCP_PMDAS_DIR/roomtemp/Install
    installation script for the pmdaroomtemp agent
$PCP_PMDAS_DIR/roomtemp/Remove
    undo installation script for the pmdaroomtemp agent
$PCP_LOG_DIR/pmcd/roomtemp.log
    default log file for error messages and other information from pmdaroomtemp

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pcp.conf(5) and pcp.env(5).